Get User Profile
curl --request GET \
--url https://test-api.sandbox.co.in/kyc/digilocker-sdk/sessions/{session_id}/user/profile \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://test-api.sandbox.co.in/kyc/digilocker-sdk/sessions/{session_id}/user/profile"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://test-api.sandbox.co.in/kyc/digilocker-sdk/sessions/{session_id}/user/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1777276051968,
"data": {
"id": "b5522c8f-2321-577b-8e73-ae1366d9c591",
"@entity": "in.co.sandbox.kyc.digilocker.user.profile",
"date_of_birth": "18/08/2003",
"mobile": "9004813042",
"name": "Anurag Bansal",
"gender": "male",
"eaadhaar": true,
"email": ""
},
"transaction_id": "6e76fc24-2491-4582-8a03-685fbda4acf7"
}{
"code": 503,
"timestamp": 1000000000000,
"transaction_id": "6c05f692-c32f-4de0-92b4-56684bdf16f0",
"message": "Source Unavailable"
}{
"code": 521,
"timestamp": 1782806266274,
"message": "Data not found for: 55470e27-3d8a-451f-ac1e-9c0f3d1454821",
"transaction_id": "a599615c-c732-4538-9840-4bb5cd3c19d2"
}{
"code": 523,
"timestamp": 1782806184804,
"message": "Invalid session status: created",
"transaction_id": "de90173f-8255-4ac0-b26b-a41b8a872fee"
}Get User Profile
Gets the User Profile Details from Digilocker like Name, Date of Birth, Gender, Mobile Number, Email Id.
GET
/
kyc
/
digilocker-sdk
/
sessions
/
{session_id}
/
user
/
profile
Get User Profile
Run in Postman
User profile details can only be fetched if the user has provided consent for it.
Headers
JWT access token. For token-generation steps, refer to the Quickstart Guide.
API key used to identify and authenticate the client.
Specifies the API version for the request.
Path Parameters
Session identifier generated during DigiLocker SDK Create Session API .
Response
HTTP status code.
Unix timestamp (in milliseconds) indicating when the server generated the response.
Response payload containing the requested data or error details.
Show child attributes
Show child attributes
Unique identifier for tracking the request across systems.
Was this page helpful?
āI